Skip to navigation

Case - Update Status

Update Case Status

The POST /cases/{caseId}/statuses endpoint is used to update the status of a case. The status can be one of the following values: OPEN, CLOSED, REOPENED, IN_PROGRESS, ON_HOLD, or a custom status ID (e.g. CS-1). Note: When closing a case the reason field is required.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

caseIdstringRequired

Request

This endpoint expects an object.
statusstringRequired
reasonlist of stringsOptional
otherReasonstringOptional
commentstringOptional
fileslist of objectsOptional

Response

OK
caseStatusstringOptional
customCaseStatusNamestringOptional

Errors

404
Not Found Error